Subject: bug#27429: closed (Re: bug#27429: Stack clash (CVE-2017-1000366 etc))

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 20 Jul 2017 19:14:02 +0000

Your bug report

#27429: Stack clash (CVE-2017-1000366 etc)

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27429: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27429
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27429: Stack clash (CVE-2017-1000366 etc)
From: Leo Famulari <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Thu, 20 Jul 2017 15:13:24 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Jul 20, 2017 at 05:54:06PM +0200, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
> 
> > This is a place to discuss the "stack crash" bugs as they apply to our
> > packages.
> >
> > https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-1000366
> > https://www.qualys.com/2017/06/19/stack-clash/stack-clash.txt
> 
> I think we can close this bug now, can’t we?

Yeah, I'm closing it.

I think the various mitigations we applied will change and improve over
time, but they can be discussed elsewhere once we know what they are.

Subject: Stack clash (CVE-2017-1000366 etc)
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 19 Jun 2017 18:25:50 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

This is a place to discuss the "stack crash" bugs as they apply to our
packages.

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-1000366
https://www.qualys.com/2017/06/19/stack-clash/stack-clash.txt